<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="AnswerOption" package="performa.orm">
                
        <TABLE  name="tl_answer_option"    tablePrefix="object"    polymorphic="FALSE">
                        
            <ATTRIB name="IsSelected"   type="Boolean"  dbcol="is_selected"   defaultValue="Boolean.FALSE" />

            <SINGLEREFERENCE    name="CandidateAnswer"  type="CandidateDiversityAnswer" dbcol="candidate_answer_id" mandatory="true"    backreferenceName="Answers"/>
            <SINGLEREFERENCE    name="Answer"           type="DiversityAnswer"          dbcol="answer_id"           mandatory="true"    />

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_answer_option.object_id is not null"   orderBy="tl_answer_option.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>